swTFreeze {oce} | R Documentation

## Seawater freezing temperature

### Description

Compute freezing temperature of seawater.

### Usage

    swTFreeze(salinity, pressure = 0, longitude = NULL, latitude = NULL,
      saturation_fraction = 1, eos = getOption("oceEOS", default = "gsw"))

### Arguments

`salinity` | either salinity [PSU] or a `ctd` object from which salinity will be inferred.
`pressure` | seawater pressure [dbar]
`longitude` | longitude of observation (only used if `eos="gsw"`; see ‘Details’).
`latitude` | latitude of observation (only used if `eos="gsw"`; see ‘Details’).
`saturation_fraction` | saturation fraction of dissolved air in seawater (used only if `eos="gsw"`).
`eos` | equation of state, either `"unesco"` [1,2] or `"gsw"` [3,4].

### Details

In the first form, the argument is a `ctd` object, from which the salinity and pressure values are extracted and used to for the calculation.

### Value

Temperature [degC], defined on the ITS-90 scale.

### Author(s)

Dan Kelley

### References

[1] Fofonoff, P. and R. C. Millard Jr, 1983. Algorithms for computation of fundamental properties of seawater. Unesco Technical Papers in Marine Science, 44, 53 pp

[2] Gill, A.E., 1982. Atmosphere-ocean Dynamics, Academic Press, New York, 662 pp.

[3] IOC, SCOR, and IAPSO (2010). The international thermodynamic equation of seawater-2010: Calculation and use of thermodynamic properties. Technical Report 56, Intergovernmental Oceanographic Commission, Manuals and Guide.

[4] McDougall, T.J. and P.M. Barker, 2011: Getting started with TEOS-10 and the Gibbs Seawater (GSW) Oceanographic Toolbox, 28pp., SCOR/IAPSO WG127, ISBN 978-0-646-55621-5.

### See Also

Other functions that calculate seawater properties: `T68fromT90`, `T90fromT48`, `T90fromT68`, `swAbsoluteSalinity`, `swAlphaOverBeta`, `swAlpha`, `swBeta`, `swCSTp`, `swConservativeTemperature`, `swDepth`, `swDynamicHeight`, `swLapseRate`, `swN2`, `swPressure`, `swRho`, `swRrho`, `swSCTp`, `swSTrho`, `swSigma0`, `swSigma1`, `swSigma2`, `swSigma3`, `swSigma4`, `swSigmaTheta`, `swSigmaT`, `swSigma`, `swSoundAbsorption`, `swSoundSpeed`, `swSpecificHeat`, `swSpice`, `swTSrho`, `swThermalConductivity`, `swTheta`, `swViscosity`, `swZ`

### Examples

    swTFreeze(salinity=40, pressure=500, eos="unesco") # -2.588567 degC

[Package oce version 0.9-22 Index]